@echo off
SetLocal EnableDelayedExpansion
set verlink=https://github.com/VkOpt/VkOpt/commits/master
set downlink=https://github.com/VkOpt/VkOpt/archive/master.zip
set arcfile=VkOpt-master.zip
set gitdir=VkOpt-master
set workdir=builds
chcp 866
cls
echo ============================== Getting Version: ================================
util\aria2c --check-certificate=false "%verlink%"
for /f "tokens=4 delims=:<>" %%i in ('"findstr /n . ver|findstr /b 1:"') do set "previous=%%i"
echo Old ver: %previous%
findstr /c:"Commits on" master > ver
for /f "tokens=4 delims=:<>" %%i in ('"findstr /n . ver|findstr /b 1:"') do set "ver=%%~i"
echo New ver: %ver%
del master
echo .
echo ============================== Checking version: ===============================
if "%previous%"=="%ver%" (
  echo  ᮢ  ⥪饩.  ஢  㤥.
  pause
  exit
  goto end
) else (
    echo   . 塞.
    pause
  )
)
util\aria2c --check-certificate=false "%downlink%"
util\7z.exe x "%arcfile%" -o"."
del %arcfile%
del "%gitdir%\.gitignore"
del "%gitdir%\%workdir%\chrome\scripts\.gitignore"
del "%gitdir%\%workdir%\firefox\scripts\.gitignore"
del "%gitdir%\%workdir%\opera.extension\scripts\.gitignore"
del "%gitdir%\%workdir%\opera.extension\includes\.gitignore"
del "%gitdir%\source\build.sh"
del "%gitdir%\source\build.bat"
md "%workdir%"
echo Copying Builds
xcopy "%gitdir%\%workdir%\chrome" "%workdir%\vkopt_chrome" /S /I /R /Y
xcopy "%gitdir%\%workdir%\firefox" "%workdir%\vkopt_firefox" /S /I /R /Y
xcopy "%gitdir%\%workdir%\opera.extension" "%workdir%\vkopt_opera" /S /I /R /Y
copy "%gitdir%\content_script.js" "%workdir%\vkopt_firefox\resources\vkopt\data\"
copy /y "%gitdir%\background.js" "%workdir%\vkopt_firefox\resources\vkopt\lib\"
md "%workdir%\vkopt_firefox\META-INF"
copy /y "upd\vkopt_firefox\META-INF\*" "%workdir%\vkopt_firefox\META-INF\"
md "%workdir%\vkopt_chrome\_metadata"
copy /y "upd\vkopt_chrome\_metadata\verified_contents.json" "%workdir%\vkopt_chrome\_metadata\"
copy /y "%gitdir%\content_script.js" "%workdir%\vkopt_chrome\"
copy /y "%gitdir%\background.js" "%workdir%\vkopt_chrome\"
md "%workdir%\vkopt_opera\includes"
copy /y "%gitdir%\content_script.js" "%workdir%\vkopt_opera\includes\"
copy /y "%gitdir%\background.js" "%workdir%\vkopt_opera\"
echo Copying Core Scripts
copy %gitdir%\source\vk_lib.js" "%workdir%\vkopt_chrome\scripts"
copy %gitdir%\source\vklang.js" "%workdir%\vkopt_chrome\scripts"
copy %gitdir%\source\vkopt.js" "%workdir%\vkopt_chrome\scripts"
copy %gitdir%\source\vkopt_log.txt" "%workdir%\vkopt_chrome\scripts"
xcopy "%gitdir%\source" "%workdir%\vkopt_chrome\scripts" /S /I /R /Y
xcopy "%gitdir%\source" "%workdir%\vkopt_firefox\scripts" /S /I /R /Y
xcopy "%gitdir%\source" "%workdir%\vkopt_opera\scripts" /S /I /R /Y
rem copy /y "%workdir%\vkopt_chrome\background_new.js" "%workdir%\vkopt_chrome\background.js"
rem xcopy "%gitdir%\source" "%workdir%\vkopt_safari\scripts" /S /I /R /Y
echo Copying Loader Section
echo Deleting temporary Htmls
rmdir /s /q "%gitdir%"
rem rmdir /s /q "js\%gitdir%"
del "%workdir%\vkopt_chrome\index.html"
del "%workdir%\vkopt_chrome\img\index.html"
del "%workdir%\vkopt_chrome\scripts\index.html"
del "%workdir%\vkopt_firefox\index.html"
del "%workdir%\vkopt_firefox\chrome\index.html"
del "%workdir%\vkopt_firefox\chrome\content\index.html"
del "%workdir%\vkopt_firefox\chrome\locale\index.html"
del "%workdir%\vkopt_firefox\chrome\locale\en-US\index.html"
del "%workdir%\vkopt_firefox\chrome\skin\index.html"
del "%workdir%\vkopt_firefox\defaults\index.html"
del "%workdir%\vkopt_firefox\defaults\preferences\index.html"
del "%workdir%\vkopt_firefox\scripts\index.html"
del "%workdir%\vkopt_maxthon\index.html"
del "%workdir%\vkopt_maxthon\icons\index.html"
Rem del "%workdir%\vkopt_opera\index.html"
del "%workdir%\vkopt_opera\icons\index.html"
del "%workdir%\vkopt_opera\scripts\index.html"
del "%workdir%\vkopt_opera\includes\index.html"
rem del "%workdir%\vkopt_safari\index.html"
rem del "%workdir%\vkopt_safari\scripts\index.html"
cd "%workdir%"
cd "vkopt_firefox"
"..\..\util\7z.EXE" a -r -tzip "..\vkopt_firefox_%ver%.xpi" "*"
cd ..
cd "vkopt_opera"
"..\..\util\7z.EXE" a -r -tzip "..\vkopt_opera_%ver%.oex" "*"
cd ..
cd "vkopt_chrome"
"..\..\util\7z.EXE" a -r -tzip "..\vkopt_chrome_%ver%.zip" "*"
cd ..
del "vkopt_chrome\_metadata\verified_contents.json"
rmdir "vkopt_chrome\_metadata"
rem "..\util\makpak.exe" .\vkopt_maxthon vkopt_maxthon_%ver%.mxaddon
:end